import SecondComponent from "./SecondComponent.js"

export default {
  name: "App",
  components: {
    SecondComponent,
  },
  data() {
    return {      
      msg1: "Lokálne úložisko musí byť povolené v tomto prehliadači, stav je: OK (LocalStorage needs to work in this browser, status is:) OK",
      msg2: "Lokálne úložisko musí byť povolené v tomto prehliadači, stav je: FAIL/aktualizujte (LocalStorage needs to work in this browser, status is:) FAIL/update_browser",
      msg3: "Zistil sa kompatibilný prehliadač OK (Found compatible browser OK)",
      msg4: "Zistil sa NEkompatibilný prehliadač FAIL/aktualizujte (Found NOT compatible browser FAIL/update_it)"
    }
  },
  template: ` 
  
    <div class="flex h-100 place-content-center overflow-visible mt-5">
        <div class="grid grid-cols-1 gap-2 content-center w-64 rounded-lg text-center h-100 overflow-visible">
          <div class="text-3xl">Vitajte v (Welcome to) Autoškola Free 8</div>
          <button class="px-4 py-2 font-semibold text-sm bg-blue-600 text-white rounded-md shadow-sm hover:scale-125 ease-in-out duration-700" @click="redirectSk">Slovensky (SK)</button>
          <button class="px-4 py-2 font-semibold text-sm bg-blue-600 text-white rounded-md shadow-sm hover:scale-125 ease-in-out duration-700" @click="redirectEn">English (EN)</button>      
          <button class="px-4 py-2 font-semibold text-sm bg-blue-600 text-white rounded-md shadow-sm hover:scale-125 ease-in-out duration-700" 
          @click="redirectCellSk">Mobil (Cell phone) SK</button>      
          <button class="px-4 py-2 font-semibold text-sm bg-blue-600 text-white rounded-md shadow-sm hover:scale-125 ease-in-out duration-700" 
          @click="redirectCellEn">Mobil (Cell phone) EN</button>      
          <div v-if="checkLocalStorage" class="text-green-600 bg-gray-600 rounded-md px-4 py-2">{{msg1}}</div>
          <div class="text-red-600 bg-yellow-600 rounded-md px-4 py-2" v-else>{{msg2}}</div>
          <div v-if="checkBrowser" class="text-green-600 bg-gray-600 rounded-md px-4 py-2">{{msg3}}</div>
          <div class="text-red-600 bg-yellow-600 rounded-md px-4 py-2" v-else>{{msg4}}</div>
        </div>
      </div>
    
    `,
    computed:{
      checkLocalStorage(){
        localStorage.setItem("test8564", "Works")
        const backValue3=localStorage.getItem("test8564")
        if (backValue3==="Works"){
          return true
        }else{
          return false
        }
      },
      checkBrowser(){
        const browser = window.navigator.userAgent
        for(let i=124; i<500; i++){
          if (browser.includes('Chrome/'+String(i))) return true
          if (browser.includes('Firefox/'+String(i))) return true
        }             
        //console.log(browser)
        return false
      }
    },
    methods:{
      redirectCellSk(){

        let fullPath1= window.location.protocol+"//"+window.location.hostname+":"+window.location.port+window.location.pathname
        let pathArray1=fullPath1.split("/")
        pathArray1.pop()
        let compound1=""
        for(let i=0;i<pathArray1.length;i++){
          if (i===0){
            compound1+=pathArray1[i]+"/"  
          }else{
            compound1+=pathArray1[i]+"/"
          }          
        } 
        //alert(compound1)
        //if(!compound1.indexOf("assets")){
			if(compound1.indexOf("assets")>=0){
			window.location.assign(compound1+"m_sk8/index.html")
		}else{
			window.location.assign(compound1+"assets/m_sk8/index.html")
		}
		//}else{
			//window.location.assign(compound1+"m_sk8/index.html")
		//}

        //window.location.assign(window.location.protocol+"//"+window.location.hostname+":"+window.location.port+window.location.pathname+"m_sk8/index.html")
      },
      redirectCellEn(){

        let fullPath1= window.location.protocol+"//"+window.location.hostname+":"+window.location.port+window.location.pathname
        let pathArray1=fullPath1.split("/")
        pathArray1.pop()
        let compound1=""
        for(let i=0;i<pathArray1.length;i++){
          if (i===0){
            compound1+=pathArray1[i]+"/"  
          }else{
            compound1+=pathArray1[i]+"/"
          }          
        } 
        //alert(compound1)
        if(compound1.indexOf("assets")>=0){
			window.location.assign(compound1+"m_en8/index.html")
		}else{
			window.location.assign(compound1+"assets/m_en8/index.html")
		}

        //window.location.assign(window.location.protocol+"//"+window.location.hostname+":"+window.location.port+window.location.pathname+"m_en8/index.html")
      },
      redirectSk(){
        
        let fullPath1= window.location.protocol+"//"+window.location.hostname+":"+window.location.port+window.location.pathname
        let pathArray1=fullPath1.split("/")
        pathArray1.pop()
        let compound1=""
        for(let i=0;i<pathArray1.length;i++){
          if (i===0){
            compound1+=pathArray1[i]+"/"  
          }else{
            compound1+=pathArray1[i]+"/"
          }          
        } 
        //alert(compound1)
        if(compound1.indexOf("assets")>=0){
			window.location.assign(compound1+"sk8/index.html")
		}else{
			window.location.assign(compound1+"assets/sk8/index.html")
		}
        
        //window.location.assign(window.location.protocol+"//"+window.location.hostname+":"+window.location.port+window.location.pathname+"sk8/index.html")
      },
      redirectEn(){

        let fullPath1= window.location.protocol+"//"+window.location.hostname+":"+window.location.port+window.location.pathname
        let pathArray1=fullPath1.split("/")
        pathArray1.pop()
        let compound1=""
        for(let i=0;i<pathArray1.length;i++){
          if (i===0){
            compound1+=pathArray1[i]+"/"  
          }else{
            compound1+=pathArray1[i]+"/"
          }          
        } 
        //alert(compound1)
        if(compound1.indexOf("assets")>=0){
			window.location.assign(compound1+"en8/index.html")
		}else{
			window.location.assign(compound1+"assets/en8/index.html")
		}
        //browser suddenly changed logic: ^^^
        //window.location.assign(window.location.protocol+"//"+window.location.hostname+":"+window.location.port+window.location.pathname+"en8/index.html")
      }
    }
}
