import SecondComponent from "./SecondComponent.js"

export default {  
  name: "AppM8en",
  components: {
    SecondComponent,
  },
  data() {
    return {      
      qtxt: "",
      atxt:"",
      imgsrc:"../resources/empty.jpg",
      qnum: 1,
      showa: false,
      tnum:1
    }
  },
  template: ` 
  
    <div class="flex flex-col items-center h-100 place-content-center overflow-visible mt-5 mb-5 ml-8 mr-8">
        <div class="grid grid-cols-1 gap-2 content-center w-64 rounded-lg text-center h-100 overflow-visible">
          <div @click="returnToIndex" class="text-xl cursor-wait">Autoškola Free 8 - english test for phones [click here]</div>
          <button class="px-4 py-2 font-semibold text-sm bg-blue-600 text-white rounded-md shadow-sm hover:scale-125 ease-in-out duration-700" 
          @click="randomLawEn">Random law</button>
          <button class="px-4 py-2 font-semibold text-sm bg-blue-600 text-white rounded-md shadow-sm hover:scale-125 ease-in-out duration-700" 
          @click="randomSignEn">Random sign</button>      
          <button class="px-4 py-2 font-semibold text-sm bg-blue-600 text-white rounded-md shadow-sm hover:scale-125 ease-in-out duration-700" 
          @click="randomIntersectionEn">Random intersection</button>      
          <button class="px-4 py-2 font-semibold text-sm bg-blue-600 text-white rounded-md shadow-sm hover:scale-125 ease-in-out duration-700" 
          @click="showAnswerEn">Show answer</button> 
               
        </div>
        <div class="flex flex-col w-screen items-center place-content-center overflow-visible mt-5 mb-20">
         <div class="grid grid-cols-1 justify-items-center gap-2 w-screen rounded-lg text-center h-100 overflow-visible">
          <img :class="[signVsIntersection?'lg:min-w-[600] lg:max-w-[600] sm:w-3/5 md:w-3/5':'']" :src="setImgSrc()"><br> 

          <div class="mb-1 mr-8 ml-8"><span v-if="qtxt">Question:</span> {{ qtxt }} </div>      
          <div class="mb-8 mr-8 ml-8"><span v-if="qtxt && showa">Answer: {{ atxt }} </span></div> 
         </div>
        </div>
      </div>
    
    `,
    computed:{
      signVsIntersection(){ //under 145 is sign, over is intersection
        if (this.qnum<145) {return false} else {return true}
        //and we wanna toggle min==max 600px only for intersections but switch off class for signs
      }
    },
    methods:{
      setImgSrc(){
        return this.imgsrc
      },
      randomSignEn(){
        let num1= Math.floor(Math.random()*7)+16
        let num1b = Math.floor(Math.random()*34)+1
        this.qnum=num1
        this.tnum=num1b
        this.atxt=""
        this.showa=false
        
        
        let text1 = fetch("../resources/en/otazkytxt/t"+num1b+"o"+num1+".txt").then(response => {
          if (!response.ok) {
              throw new Error("HTTP error " + response.status)
          }
          return response.text()
          })
          .then(text => {
              this.qtxt=text + String("[Edit in folder "+"/resources/en/otazkytxt/t"+num1b+"o"+num1+".txt")
          })
          .catch(error => {
              // Handle/report error
              console.log(error.message)
          })


          let text2 = fetch("../resources/en/odtxt/t"+num1b+"od"+num1+".txt").then(response2 => {
            if (!response2.ok) {
                throw new Error("HTTP error " + response2.status)
            }
            return response2.text()
            })
            .then(textb => {
                this.atxt=textb
            })
            .catch(error2 => {
                // Handle/report error
                console.log(error2.message)
            })


        this.imgsrc="../resources/en/znackyobr/t"+num1b+"o"+num1+".jpg"
        this.qtxt=text2
        
      },
      showAnswerEn(){
        this.showa=true
      },
      randomIntersectionEn(){
        let num1= Math.floor(Math.random()*3)+24
        let num1b = Math.floor(Math.random()*34)+1
        this.qnum=num1
        this.tnum=num1b
        this.atxt=""
        this.showa=false
        
        
        let text1 = fetch("../resources/en/otazkytxt/t"+num1b+"o"+num1+".txt").then(response => {
          if (!response.ok) {
              throw new Error("HTTP error " + response.status)
          }
          return response.text()
          })
          .then(text => {
              this.qtxt=text + String("[Edit in folder "+"/resources/en/otazkytxt/t"+num1b+"o"+num1+".txt")
          })
          .catch(error => {
              // Handle/report error
              console.log(error.message)
          })


          let text2 = fetch("../resources/en/odtxt/t"+num1b+"od"+num1+".txt").then(response2 => {
            if (!response2.ok) {
                throw new Error("HTTP error " + response2.status)
            }
            return response2.text()
            })
            .then(textb => {
                this.atxt=textb
            })
            .catch(error2 => {
                // Handle/report error
                console.log(error2.message)
            })


        this.imgsrc="../resources/en/znackyobr/t"+num1b+"o"+num1+".jpg"
        this.qtxt=text2
        

      },
      randomLawEn(){
        let num1= Math.floor(Math.random()*14)+1
        let num1b = Math.floor(Math.random()*34)+1
        this.qnum=num1
        this.tnum=num1b
        this.atxt=""
        this.showa=false
        let text1 = fetch("../resources/en/otazkytxt/t"+num1b+"o"+num1+".txt").then(response => {
          if (!response.ok) {
              throw new Error("HTTP error " + response.status)
          }
          return response.text()
          })
          .then(text => {
              this.qtxt=text + String("[Edit in folder "+"/resources/en/otazkytxt/t"+num1b+"o"+num1+".txt")
          })
          .catch(error => {
              // Handle/report error
              console.log(error.message)
          })
          let text2 = fetch("../resources/en/odtxt/t"+num1b+"od"+num1+".txt").then(response2 => {
            if (!response2.ok) {
                throw new Error("HTTP error " + response2.status)
            }
            return response2.text()
            })
            .then(textb => {
                this.atxt=textb
            })
            .catch(error2 => {
                // Handle/report error
                console.log(error2.message)
            })
        this.imgsrc=""
        this.qtxt=text2
        
      },
      returnToIndex(){
        let fullPath1= window.location.protocol+"//"+window.location.hostname+":"+window.location.port+window.location.pathname
        let pathArray1=fullPath1.split("/")
        pathArray1.pop()
        let compound1=""
        for(let i=0;i<=pathArray1.lengt-1;i++){
          if (i===0){
            compound1+=pathArray1[i]+"/"  
          }else{
            compound1+=pathArray1[i]+"/"
          }          
        } 
        //alert(compound1)
        window.location.assign(compound1+"/")
      }
    }
}
