import sharedEncryptor from "./sharedEncryptor.js"
export default {
    name: "courseMakeComponent",
    components:{
      sharedEncryptor
    },
    data() {
      return {
        sigint1: "",
        laws1: "",
        errSigint1:"",
        errLaws1:"",
        errCourse1:"",
        name1:"",
        qtxt: "",
        qans: "",
        qnum: 1,
        qpic: "",
        tocourse: ""
      }
    },
    template: `
    <div class="flex ml-auto mr-auto justify-start items-center min-h-full w-full flex-col bg-white grow">
        Create course into browser:
        <form class="flex flex-col justify-between" @submit.prevent="writeCourse1">
         <label class="flex justify-between mb-2">
            Enter question signs/intersections number 1-144/145-288: <input @keyup.enter="showQuest3" autocomplete="off" v-model="sigint1" class="rounded-lg border-2 border-black" type="text" name="loginName">
         </label>
         <div v-text="errSigint1" class="text-red-600"> </div>
         <label class="flex justify-between mb-2">
           Enter question laws, number 1-525: <input @keyup.enter="showQuest4" autocomplete="off" v-model="laws1" class="rounded-lg border-2 border-black" type="text" name="loginPassword">
         </label>
         <div v-text="errLaws1" class="text-red-600"> </div>
         <label class="flex justify-between mb-2">
            Enter name of this course: <input autocomplete="off" v-model="name1" class="rounded-lg border-2 border-black" type="text" name="loginName">
         </label>
         <div v-text="errCourse1" class="text-red-600"> </div>
         <input @keyup.enter="showQuest3" @click="showQuest3" class="cursor-progress bg-blue-400 rounded-lg mt-2 hover:bg-blue-600" type="submit" name="submit3" value="Show question signs/intersections">
         <input @click="showQuest4" class="cursor-progress bg-blue-400 rounded-lg mt-2 hover:bg-blue-600" type="submit" name="submit4" value="Show question laws">
         <input @click="addQuestions" class="cursor-progress bg-blue-400 rounded-lg mt-2 mb-2 hover:bg-blue-600" type="submit" name="submit1" value="Add question into course">
         <input @click="saveCourse1" class="cursor-progress bg-blue-400 rounded-lg mb-2 hover:bg-blue-600" type="button" name="submit2" value="Save whole course with chosen questions">
        </form>
        <div>Added questions into course: <span v-text="tocourse"></span></div>
         <img :src="qpic"><br>
         <div v-text="qtxt"></div>
         <div v-text="qans"></div>
    </div>
      `,
      mounted(){
        //alert(localStorage.getItem("loggedInUser")) //ok this should be nikto default user
        
          try{
            localStorage.setItem("kurzy_test1","z1")
            
            if (localStorage.getItem("kurzy_test1")!="z1"){
              this.errSigint1="Nepodarilo sa vytvoriť lokálne úložisko!"
            }else{
              localStorage.setItem("kurzy_test1","")
              try{  
                if(localStorage.getItem("zozku").split(",").length<1){                
                      localStorage.setItem("zozku","")
                }
              }catch(err23){
                  localStorage.setItem("zozku","")
              }
           
           }

          }catch(err1){
            this.errSigint1=err1
          }


      },
      methods:{
        addQuestions(){

          let err1=0
          let err2=0
          this.errSigint1=""
          this.errLaws1=""
          this.errCourse1=""
          if(this.sigint1.trim().length<1) {
              this.errSigint1="Field is empty, use the second one if you wish!"
              this.sigint1=""
              err1=1
          }

          if(isNaN(parseInt(this.sigint1.trim())) || parseInt(this.sigint1.trim())<1 || parseInt(this.sigint1.trim())>288) {
              this.errSigint1="Field is not number, use the second one if you wish!"
              this.sigint1=""
              err1=1
          }

          if(this.laws1.trim().length<1) {
              this.errLaws1="Field is empty, use the second one if you wish!"
              this.laws1=""
              err2=2
          }
          if(isNaN(parseInt(this.laws1.trim())) || parseInt(this.laws1.trim())<1 || parseInt(this.laws1.trim())>525) {
              this.errLaws1="Field is not number, use the second one if you wish!"
              this.laws1=""
              err2=2
          }
          if(err1==0){
            if(this.tocourse.trim().indexOf("z"+this.sigint1)!=-1) {

            }else{
              this.tocourse+="z"+this.sigint1.trim()+", "
            }
          }
          if(err2==0){
            if(this.tocourse.trim().indexOf("za"+this.laws1)!=-1) {

            }else{
              this.tocourse+="za"+this.laws1.trim()+", "
            }
          }
          if(err1 != 0 && err2 != 0){
            this.errSigint1="Nothing to add into course. Both fields are entered in a wrong way!"
            this.errLaws1="Nothing to add into course. Both fields are entered in a wrong way!"
          }
            err1=0
            err2=0
        },
        writeCourse1(){ //if you submitted form, you fired this method
          /*  
          //alert("submit form")
            this.errSigint1=""
            this.errLaws1=""
            this.errCourse1=""
            if(this.sigint1.trim().length<1) {
                this.errSigint1="Pole je prázdne!"
                this.sigint1=""
                return
            }

            if(isNaN(parseInt(this.sigint1.trim())) || parseInt(this.sigint1.trim())<1 || parseInt(this.sigint1.trim())>288) {
                this.errSigint1="Pole nie je číslo!"
                this.sigint1=""
                return
            }

            if(this.laws1.trim().length<1) {
                this.errLaws1="Pole je prázdne!"
                this.laws1=""
                return
            }

            if(isNaN(parseInt(this.laws1.trim())) || parseInt(this.laws1.trim())<1 || parseInt(this.laws1.trim())>525) {
                this.errLaws1="Pole nie je číslo!"
                this.laws1=""
                return
            }

            if(this.name1.trim().length<1){ 
                this.errCourse1="Pole je prázdne!"
                this.name1=""
                return
            }

            if(this.name1.trim().length>12){ 
                this.errCourse1="Pole je príliš dlhé!"
                this.name1=""
                return
            }
            

            //check if nick contains _ underscore, this is not allowed as we wanna some _notation for localStorage
            if(this.name1.trim().indexOf("_")!=-1) {
              this.errCourse1="Meno kurzu nesmie obsahovať podtržník!"
                this.name1=""
                return
          }

          */
           

        },
        saveCourse1(){
            if(this.name1.trim().length<1 || this.name1.trim()=="none"){ 
              this.errCourse1="Field is empty!"
              this.name1=""
              return
            }
            if(this.name1.trim().length>12){ 
                this.errCourse1="Field is too long!"
                this.name1=""
                return
            }
                  //check if nick contains _ underscore, this is not allowed as we wanna some _notation for localStorage
            if(this.name1.trim().indexOf("_")!=-1) {
              this.errCourse1="Name of course cant contain underscore!"
                this.name1=""
                return
            }           
            if(this.tocourse.trim()==""){
              this.errCourse1="No questions added into this course!"
              this.name1=""
              return
          }else{
            try{
              localStorage.setItem("kurzy_"+this.name1,this.tocourse.trim())
              let exploded=[]
              if(localStorage.getItem("zozku").length>0) {
                exploded=localStorage.getItem("zozku").split(',')
                
              }
                exploded.push(String(this.name1.trim()))
                //console.log(exploded)
                let imploded=""
                let helper1=""
                for(let q=0;q<exploded.length;q++){
                    helper1=exploded[q].replace(",","").trim()
                    //console.log(helper1)
                    if(exploded[q]!=undefined && exploded[q].trim()!="" && imploded.indexOf(helper1)==-1){
                      imploded+=String(helper1+",")
                    }
                  
                }
                localStorage.setItem("zozku",imploded)
              

              if (localStorage.getItem("kurzy_"+this.name1).length==0){
                this.errCourse1="Impossible to create localStorage with questions for the course!"
              }else{                
                localStorage.setItem("kurzy_"+this.name1,this.tocourse.trim())
                this.errSigint1=""
                this.errLaws1=""
                this.errCourse1=""
                this.sigint1=""
                this.laws1=""
                this.name1=""
                this.errCourse1="I saved this course! You use left menu please again to reclick area."
              }
            }catch(err1){
              this.errCourse1=err1
            }
          }


        },
        showQuest3(){
            
            this.errSigint1=""
            this.errLaws1=""
            this.errCourse1=""
            if(this.sigint1.trim().length<1) {
                this.errSigint1="Field is empty!"
                this.sigint1=""
                return
            }

            
              if(isNaN(parseInt(this.sigint1.trim())) || parseInt(this.sigint1.trim())<1 || parseInt(this.sigint1.trim())>288) {
                this.errSigint1="Field is not a number!"
                this.sigint1=""
                return
            }else{
            //if field is not empty show picture
            this.qnum-=1
            let o=parseInt(this.sigint1.trim())

            let text3 = fetch("../resources/en/otzn/z_"+o+".txt").then(response => {
              if (!response.ok) {
                  throw new Error("HTTP error " + response.status)
              }
              return response.text()
              })
              .then(text => {
                                     
                      
                      let text4 = fetch("../resources/en/otzn/zo_"+o+".txt").then(response2 => {
                          if (!response2.ok) {
                              throw new Error("HTTP error " + response2.status)
                          }
                          return response2.text()
                          })
                          .then(text2 => {
                              this.qpic="../resources/en/znackyobr/z"+o+".jpg"
                              this.qtxt=text + String("[You can edit in " + "/resources/en/otzn/z_"+o+".txt]")
                              this.qans="Answer: "+text2                            
                          })
                          .catch(error2 => {
                              // Handle/report error
                              console.log(error2.message)
                          })                                                                                                                                                                                        
              })
              .catch(error => {
                  // Handle/report error
                  console.log(error.message)
              })





            }
            

        },
        showQuest4(){
          this.errSigint1=""
            this.errLaws1=""
            this.errCourse1=""

          if(this.laws1.trim().length<1) {
            this.errLaws1="Field is empty!"
            this.laws1=""
            return
          }

          if(isNaN(parseInt(this.laws1.trim())) || parseInt(this.laws1.trim())<1 || parseInt(this.laws1.trim())>525) {
              this.errLaws1="Field is not a number!"
              this.laws1=""
              return
          }else{

            //if field is not empty show picture
            this.qnum-=1
            let o=parseInt(this.laws1.trim())

            let text3 = fetch("../resources/en/otza/za_"+o+".txt").then(response => {
              if (!response.ok) {
                  throw new Error("HTTP error " + response.status)
              }
              return response.text()
              })
              .then(text => {
                                     
                      
                      let text4 = fetch("../resources/en/otza/zao_"+o+".txt").then(response2 => {
                          if (!response2.ok) {
                              throw new Error("HTTP error " + response2.status)
                          }
                          return response2.text()
                          })
                          .then(text2 => {
                              this.qpic="../resources/empty.jpg"
                              this.qtxt=text + String("[You can edit in " + "/resources/en/otza/za_"+o+".txt]")
                              this.qans="Answer: "+text2                            
                          })
                          .catch(error2 => {
                              // Handle/report error
                              console.log(error2.message)
                          })                                                                                                                                                                                        
              })
              .catch(error => {
                  // Handle/report error
                  console.log(error.message)
              })


          }


        }
      }

  }