import sharedEncryptor from "./sharedEncryptor.js"
export default {
    name: "addUser1Component",
    components:{
      sharedEncryptor
    },
    data() {
      return {
        nick1: "",
        password1: "",
        errNick1:"",
        errPassword1:""
      }
    },
    template: `
    <div class="flex ml-auto mr-auto justify-start items-center min-h-full w-full flex-col bg-white grow">
        Pridať používateľa do prehliadača:
        <form class="flex flex-col justify-between" @submit.prevent="writeUser1">
         <label class="flex justify-between mb-2">
            Prezývka: <input autocomplete="off" v-model="nick1" class="rounded-lg border-2 border-black" type="text" name="loginName">
         </label>
         <div v-text="errNick1" class="text-red-600"> </div>
         <label class="flex justify-between mt-2">
           Heslo: <input v-model="password1" class="rounded-lg border-2 border-black" type="password" name="loginPassword">
         </label>
         <div v-text="errPassword1" class="text-red-600"> </div>
         <input class="cursor-progress bg-blue-400 rounded-lg mt-2 hover:bg-blue-600" type="submit" name="submit1" value="Pridať do prehliadača">
        </form>
    </div>
      `,
      mounted(){
        //alert(localStorage.getItem("loggedInUser")) //ok this should be nikto default user
      },
      methods:{
        writeUser1(){ //if you submitted form, you fired this method
            //alert("submit form")
            this.errNick1=""
            this.errPassword1=""
            if(this.nick1.trim().length<1) {
                this.errNick1="Prezývka musí obsahovať nejaký text."
                this.nick1=""
            }
            if(this.nick1.trim().length>12) {
                this.errNick1="Prezývka môže mať maximálne 12 znakov."
                this.nick1=""
            }
            if(this.password1.trim().length<1){ 
                this.errPassword1="Heslo musí obsahovať nejaký text."
                this.password1=""
            }
            if(this.password1.trim().length>12){
                 this.errPassword1="Heslo môže mať maximálne 12 znakov."
                 this.password1=""
            }

            //check if nick contains _ underscore, this is not allowed as we wanna some _notation for localStorage
            if(this.nick1.trim().indexOf("_")!=-1) {
              this.errNick1="Prezývka nesmie obsahovať podtržník."
              this.nick1=""
          }

          if(this.nick1.trim().length>0 && this.password1.trim().length>0 && localStorage.getItem(this.nick1.trim())==null){
            //if I checked nick and password and it was not deleted to empty string I can set the new user and pwd:
            localStorage.setItem(this.nick1.trim(),sharedEncryptor.encrypt(this.password1.trim(),sharedEncryptor.functionalMap))
            alert("Používateľ uložený v prehliadači.")
          }else{
            alert("Prezývka alebo heslo nie sú správne alebo tento používateľ už existuje. ")
          }

           

        }
      }

  }