import sharedEncryptor from "./sharedEncryptor.js"
export default {
    name: "courseDeleteComponent",
    components:{
      sharedEncryptor
    },
    data() {
      return {
        msg1: "",
        msg2:"",
        courses:[],
        course:""
      }
    },
    template: `
    <div class="flex ml-auto mr-auto justify-start items-center min-h-full w-full flex-col bg-white grow">
        Zmaž kurz, ak máš nejaký uložený v tomto prehliadači:
        <form class="flex flex-col justify-between" >
          <div v-text="msg1" class="text-red-600"> </div>
           <select @change="delSel1" v-model="course">
                <option>none</option>
                <option v-for="item in courses" :value=item.val>{{item.val}}</option>
            </select>
          <div @click="refreshCourses2" v-text="msg2" class="text-red-600"> </div>  
         </form>
    </div>
      `,
      mounted(){
        //alert(localStorage.getItem("loggedInUser")) //ok this should be nikto default user
        try{
            let kurzy = localStorage.getItem("zozku")
            if (kurzy == null){
                localStorage.setItem("zozku","")
            }
            if (kurzy.trim() == "" || kurzy==null){
                this.msg1="V tomto prehliadači nie sú uložené žiadne kurzy."
            }else{
                this.msg1="V tomto prehliadači sú uložené tieto kurzy, zvoľ si jeden pre zmazanie:"
                let exploded=kurzy.split(",")
                for(let t=0;t<exploded.length;t++){
                    if(exploded[t].trim()!=""){
                        this.courses.push({
                            id:t, val:String(exploded[t].trim())
                        })
                    }
                    
                }
            }
        }catch(err1){
            this.msg1=err1
        }
          
      },
      methods:{
        delSel1(){            
            try{
                if(this.courses.length>0 && this.course.trim()!="none"){
                    this.msg2="Práve som zmazal zvolený kurz " + this.course+ " "
                    localStorage.setItem("kurzy_"+this.course.trim(),"")
                }else{
                    this.msg2=""
                }
                            
                let kurzy = localStorage.getItem("zozku")
                kurzy=kurzy.replace(String(this.course.trim()+","),"")
                localStorage.setItem("zozku",kurzy)
                //localStorage.removeItem("kurzy_"+this.course.trim())
                this.courses=[]
                this.course=""
                if (kurzy.trim() == ""){
                    this.msg1="V tomto prehliadači nie sú uložené žiadne kurzy."
                }else{                    
                    this.msg1="V tomto prehliadači sú uložené tieto kurzy, zvoľ si jeden pre zmazanie:"
                    let exploded=kurzy.split(",")
                    for(let t=0;t<exploded.length;t++){
                        if(exploded[t].trim()!=""){
                            this.courses.push({
                                id:t, val:String(exploded[t].trim())
                            })
                        }
                        
                    }
                }
            }catch(err1){
                this.msg1=err1
            }


        }
        },
        refreshCourses2(){
            this.msg2="Práve som zmazal zvolený kurz " + this.course + " "
        }
      }

